> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# チャネルの取得

> ID を指定して Channel を取得します。

`GET /api/v1/forward/channels/{channel_id}`

Channel の紐づけ情報とステータスの詳細を返します。

## Headers

| Header          | Required | Description    |
| --------------- | -------- | -------------- |
| `Authorization` | Yes      | `Bearer <PAT>` |

## Path parameters

| Parameter    | Type   | Required | Description                          |
| ------------ | ------ | -------- | ------------------------------------ |
| `channel_id` | string | Yes      | チャネル ID。Channel オブジェクトの `id` と同じ値です。 |

## Example request

```bash theme={null}
curl -s -X GET 'https://api.qoder.com/api/v1/forward/channels/channel_019eabc123' \
  -H "Authorization: Bearer $QODER_PAT"
```

## Example response

**HTTP 200 OK**

```json theme={null}
{
  "id": "channel_019eabc123",
  "type": "channel",
  "identity_id": "idn_019eabc123",
  "template_id": "tmpl_support",
  "channel_type": "feishu",
  "name": "Support Feishu channel",
  "enabled": true,
  "binding_status": "bound",
  "channel_config": {
    "response_options": {
      "include_tool_calls": false,
      "include_thinking": false
    }
  },
  "created_at": "2026-06-18T10:00:00Z",
  "updated_at": "2026-06-18T10:00:00Z"
}
```

## Response fields

Channel オブジェクトを返します。

## Errors

| HTTP | Type                   | Code                      | Trigger                         |
| ---- | ---------------------- | ------------------------- | ------------------------------- |
| 401  | `authentication_error` | `authentication_required` | PAT が無効または期限切れです。               |
| 404  | `not_found_error`      | `channel_not_found`       | Channel が存在しないか、呼び出し元から参照できません。 |

## Notes

* `binding_status` はシステムによって維持され、Update Channel で直接変更することはできません。
* チャネルが受信メッセージを処理できるのは、`enabled=true` かつ `binding_status="bound"` の場合のみです。

## Related

<CardGroup cols={2}>
  <Card title="チャネルの更新" icon="pencil" href="/cloud-agents/api/forward/channels/update" />

  <Card title="チャネル QR セッションの作成" icon="qrcode" href="/cloud-agents/api/forward/channels/create-qr-session" />
</CardGroup>
